Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228942 - yum-updatesd notification should hide the Apply Updates command when the daemon is active
Summary: yum-updatesd notification should hide the Apply Updates command when the daem...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 00:52 UTC by Ian Burrell
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-10 19:29:28 UTC


Attachments (Terms of Use)

Description Ian Burrell 2007-02-16 00:52:23 UTC
Pup can't run when yum-updatesd is active and checking for updates.

1. Select Refresh on the notification icon
2. Select "View Updates"
3. Pup will fail with "Another application is running which is accessing
software information" dialog.

One solution would be to hide the "View Updates" command when the yum-updatesd
daemon has the lock.  This would require yum-updatesd daemon communicating with
the notification icon about when it is active.

Comment 1 Jeremy Katz 2007-02-21 22:06:52 UTC
Or we could just watch for the lock in puplet...  I'll look into what we can do

Comment 2 Jeremy Katz 2007-08-10 19:29:28 UTC
Disabling it a bit painful -- instead, I've made it so that pup can at least let
you retry the check


Note You need to log in before you can comment on or make changes to this bug.